Bug 1473520 - No file metadata in Dolphin
No file metadata in Dolphin
Status: NEW
Product: Fedora
Classification: Fedora
Component: dolphin (Show other bugs)
26
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 01:05 EDT by Saurav Sengupta
Modified: 2017-07-31 13:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Saurav Sengupta 2017-07-21 01:05:08 EDT
Description of problem:
On Fedora 26 with KDE Plasma 5.10.1, Frameworks 5.36, and Applications (Dolphin) 17.04.1, no file metadata - image resolution, audio/video duration, etc. - are shown in Dolphin. I have tried various combinations of enabling and disabling file search - https://bugs.kde.org/show_bug.cgi?id=332065, https://bugs.kde.org/show_bug.cgi?id=332065#c30 - but to no avail. All of this works on, e.g., Kubuntu 17.04 and 17.10. The non-availability of metadata makes it very difficult to obtain this information without opening the file in some application, which is cumbersome to say the least.

Version-Release number of selected component (if applicable):
dolphin 17.04.1-1

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora 26 KDE Spin.
2. Look for file metadata (e.g., video duration) in Dolphin by enabling tooltips or by looking at the Information panel (F11).

Actual results:
No metadata are shown.

Expected results:
Available file metadata should be shown.
Comment 1 Rex Dieter 2017-07-21 11:33:47 EDT
I know the video one requires (nonfree) ffmpeg, something Fedora can't/won't ship

What non-image filetypes are missing metadata specifically?
Comment 2 Saurav Sengupta 2017-07-23 06:45:21 EDT
I've installed ffmpeg and all restricted gstreamer plugins already; I don't think it has anything to do with that (thumbnails show up fine, everything plays fine). Metadata are not shown for any files at all. The following is an incomplete list:-

Ogg Vorbis (Audio) (oga), Ogg Theora (Video) (ogv), mp3, mp4, avi, pdf, ODF (odt, odg, ...), JPEG (jpg), png.

Kubuntu shows metadata for all of these (and perhaps more), including the document types (pdf, ODF, ...) - title, author, line count, etc. Even for images, having at least the resolution is very helpful.

As an aside, metadata for audio, video, and image files, including those in restricted formats, are shown in Nautilus (file Properties page) when it's installed along with Totem on the same Fedora 26 system (or on a default F26 Workstation Edition), so it very much seems to be something to do with KDE. There's a ~/.config/baloofileinformationrc file which appears to list available metadata modules. It has no effect even if I set all of its modules to 'true', but maybe it's intended for something else, I don't know.

As mentioned in the OP (links), I've also tried deleting and rebuilding the Baloo file index (~/.local/share/baloo/), as well as experimented with various "enabled/disabled/excluded" settings for the file indexing. I have the baloo packages and kf5-kfilemetadata present from a standard, fresh installation of F26 KDE Spin.
Comment 3 Saurav Sengupta 2017-07-23 11:51:31 EDT
Please also note that the metadata to be shown can also be selected in Dolphin's view properties (Adjust view properties page), so this is something that should work as is. Selecting metadata items here also doesn't show anything with the file names in Dolphin's main view.
Comment 4 Saurav Sengupta 2017-07-30 09:46:24 EDT
Turning off file indexing, at least on a new user account (before creating many files in the home directory), shows metadata for several files, including many on the list mentioned in comment #2. Metadata for video files are still not shown, however, which Nautilus does show (something to do with ffmpegthumbs, perhaps).
Comment 5 Rex Dieter 2017-07-30 17:45:46 EDT
There's a ffmpeg plugin from kf5-kfilemetadata that is required for the following mimetypes:

   types << QStringLiteral("video/x-ms-asf");
    types << QStringLiteral("video/x-msvideo");
    types << QStringLiteral("video/x-flv");
    types << QStringLiteral("video/quicktime");
    types << QStringLiteral("video/mpeg");
    types << QStringLiteral("video/x-ms-wmv");
    types << QStringLiteral("video/mp4");
    types << QStringLiteral("video/x-matroska");
    types << QStringLiteral("video/webm");

these are expected to be missing.
Comment 6 Rex Dieter 2017-07-30 17:55:05 EDT
I can confirm these types work for me:
pdf
ogg
mp3
docx
odf
png
jpg

I cannot explain why these types do not work for you.
Comment 7 Saurav Sengupta 2017-07-31 02:27:29 EDT
(In reply to Rex Dieter from comment #5)
> There's a ffmpeg plugin from kf5-kfilemetadata that is required for the
> following mimetypes:
> 
>    types << QStringLiteral("video/x-ms-asf");
>     types << QStringLiteral("video/x-msvideo");
>     types << QStringLiteral("video/x-flv");
>     types << QStringLiteral("video/quicktime");
>     types << QStringLiteral("video/mpeg");
>     types << QStringLiteral("video/x-ms-wmv");
>     types << QStringLiteral("video/mp4");
>     types << QStringLiteral("video/x-matroska");
>     types << QStringLiteral("video/webm");
> 
> these are expected to be missing.

Are they missing from the Fedora distribution itself (its KDE packages), or is there a way to enable them?
Comment 8 Saurav Sengupta 2017-07-31 02:37:01 EDT
(In reply to Rex Dieter from comment #6)
> I can confirm these types work for me:
> pdf
> ogg
> mp3
> docx
> odf
> png
> jpg
> 
> I cannot explain why these types do not work for you.

As I've mentioned in comment #4, these types also now work for me, but only if I turn off file indexing first (before populating my home directory). Suppose I have a lot of these types of files, and that I have file indexing turned on as default on a new installation. If I then copy this lot of files to my home directory (or its subdirectories), I don't get any metadata. If, however, I turn file indexing off first, before copying these files to home, then I do get the metadata (except for the video files). This is partially consistent with https://bugs.kde.org/show_bug.cgi?id=332065#c30.

I have noticed that metadata are also available in a live session and that, similarly, file indexing is off by default in live (it's on by default on an installed system).
Comment 9 Rex Dieter 2017-07-31 09:51:29 EDT
Re: comment #7

As I at least strongly hinted at in comment #1, fedora does not ship ffmpeg, and by extension, none of these plugins that require ffmpeg are shipped either (by fedora).

It would be theoretically possible to ship this plugin from rpmfusion.org, but no one has done the work to implement that yet.
Comment 10 Rex Dieter 2017-07-31 09:54:45 EDT
And if it matters, fedora's default baloo config varies from upstream default of indexing all of $HOME.  We only index known document-centric folders by default (upstream had agreed this would be a good and acceptable change there too at some point in the past, but apparently hasn't implemented it yet).

This includes:
~/Documents
~/Movies
~/Music
~/Videos

See also:
http://pkgs.fedoraproject.org/cgit/rpms/kf5-baloo.git/tree/baloo-5.14.0-baloofile_config.patch
Comment 11 Saurav Sengupta 2017-07-31 12:18:19 EDT
(In reply to Rex Dieter from comment #10)
> And if it matters, fedora's default baloo config varies from upstream
> default of indexing all of $HOME.  We only index known document-centric
> folders by default (upstream had agreed this would be a good and acceptable
> change there too at some point in the past, but apparently hasn't
> implemented it yet).
> 
> This includes:
> ~/Documents
> ~/Movies
> ~/Music
> ~/Videos
> 
> See also:
> http://pkgs.fedoraproject.org/cgit/rpms/kf5-baloo.git/tree/baloo-5.14.0-
> baloofile_config.patch

Is this actually different from https://bugs.kde.org/show_bug.cgi?id=332065 ? Because in Kubuntu, it works even if indexing is enabled for everything (this is just an example; I'm not trying to pitch one distribution against another). Is it supposed to work according to what I've described in comment #8? Please pardon my poor knowledge of the infrastructure, but it seems to be behaving differently according to whether indexing is enabled. I'm at a loss as to why this happens or how to properly handle it.
Comment 12 Rex Dieter 2017-07-31 13:07:31 EDT
I don't know.  Could be that baloo/kfilemetadata is failing to notice the new files arriving under some circumstances.  It's supposed to be able to monitor this and react accordingly (via fam/gamin and/or inotify)

Note You need to log in before you can comment on or make changes to this bug.